Package com.massivecraft.factions.util.Particles

## Class ParticleEffect.ParticleData

- java.lang.Object
- - com.massivecraft.factions.util.Particles.ParticleEffect.ParticleData

Direct Known Subclasses:
  `ParticleEffect.BlockData`, `ParticleEffect.ItemData`

Enclosing class:
  ParticleEffect

    public abstract static class ParticleEffect.ParticleData
    extends java.lang.Object

Represents the particle data for effects like `ParticleEffect.ITEM_CRACK`, `ParticleEffect.BLOCK_CRACK` and `ParticleEffect.BLOCK_DUST` This class is part of the ParticleEffect Library and follows the same usage conditions

Since:
  1.6

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`ParticleData​(org.bukkit.Material material, byte data)` | Construct a new particle data

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`byte` | `getData()` | Returns the data value of this data
`org.bukkit.Material` | `getMaterial()` | Returns the material of this data
`int[]` | `getPacketData()` | Returns the data as an int array for packet construction
`java.lang.String` | `getPacketDataString()` | Returns the data as a string for pre 1.8 versions

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParticleData

    public ParticleData​(org.bukkit.Material material,
                        byte data)

Construct a new particle data

Parameters:
  `material` - Material of the item/block
  `data` - Data value of the item/block

### Method Detail

#### getMaterial

    public org.bukkit.Material getMaterial()

Returns the material of this data

Returns:
  The material

#### getData

    public byte getData()

Returns the data value of this data

Returns:
  The data value

#### getPacketData

    public int[] getPacketData()

Returns the data as an int array for packet construction

Returns:
  The data for the packet

#### getPacketDataString

    public java.lang.String getPacketDataString()

Returns the data as a string for pre 1.8 versions

Returns:
  The data string for the packet